Loading...
Searching...
No Matches
aligned_allocator.hpp File Reference

Provides seqan3::aligned_allocator. More...

`#include <algorithm>`
`#include <limits>`
`#include <memory>`
`#include <type_traits>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for aligned_allocator.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::aligned_allocator< value_t, alignment_v >
| Allocates uninitialized storage whose memory-alignment is specified by alignment. More...
struct | seqan3::aligned_allocator< value_t, alignment_v >::rebind< new_value_type >
| The aligned_allocator member template class aligned_allocator::rebind provides a way to obtain an allocator for a different type. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides seqan3::aligned_allocator.

Author
  Marcel Ehrhardt <marcel.ehrhardt AT fu-berlin.de>

Hide me